GatherDatasetContextAPI mirrors the erdo_gather_dataset_context MCP tool as a
REST endpoint.
curl --request GET \
--url https://api.erdo.ai/v1/dataset-context \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/dataset-context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/dataset-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasets": [
{
"dataset": {
"analysis_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"declared_schema": {
"columns": [
{
"description": "<string>",
"name": "<string>",
"required": true,
"type": "<string>"
}
]
},
"description": "<string>",
"file_type": "<string>",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"integration_config_key": "<string>",
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_status": "<string>",
"last_analyzed": "2023-11-07T05:31:56Z",
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"status": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"website_crawl": {
"crawl_completed_at": "2023-11-07T05:31:56Z",
"crawl_error": "<string>",
"crawl_started_at": "2023-11-07T05:31:56Z",
"crawl_status": "<string>",
"pages_discovered": -1,
"pages_processed": -1,
"root_url": "<string>"
}
},
"refresh": {
"downstream_datasets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
}
],
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_refresh_at": "2023-11-07T05:31:56Z",
"last_refresh_duration_ms": -1,
"last_refresh_error": "<string>",
"last_refresh_status": "<string>",
"live_write_mode": "<string>",
"poll_interval_ms": -1,
"refresh_mode": "<string>",
"script_content": "<string>",
"strategy": "<string>",
"transform_js": "<string>",
"upstream_datasets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
}
],
"webhook_url": "<string>"
},
"resources": [
{
"column_stats": [
{
"description": "<string>",
"dtype": "<string>",
"max": 123,
"max_date": "<string>",
"min": 123,
"min_date": "<string>",
"name": "<string>",
"null_count": 123,
"null_percent": 123,
"p50": 123,
"unique_count": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_view": true,
"key": "<string>",
"last_analyzed": "2023-11-07T05:31:56Z",
"name": "<string>",
"relationships": [
{
"relationship_type": "<string>",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_name": "<string>",
"target_type": "<string>"
}
],
"row_headers": [
{
"label": "<string>",
"row": 123
}
],
"sample_data": {
"columns": [
"<string>"
],
"row_count": 123,
"rows": [
[
"<string>"
]
]
},
"state": "<string>",
"summary": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"sync": {
"error": "<string>",
"last_sync_at": "2023-11-07T05:31:56Z",
"next_sync_at": "2023-11-07T05:31:56Z",
"progress": -1,
"provider_key": "<string>",
"status": "<string>"
},
"total_resource_count": -1,
"website_crawl": {
"crawl_completed_at": "2023-11-07T05:31:56Z",
"crawl_error": "<string>",
"crawl_started_at": "2023-11-07T05:31:56Z",
"crawl_status": "<string>",
"pages_discovered": -1,
"pages_processed": -1,
"root_url": "<string>"
}
}
]
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
GatherDatasetContextAPI mirrors the erdo_gather_dataset_context MCP tool as a REST endpoint.
GET
/
v1
/
dataset-context
GatherDatasetContextAPI mirrors the erdo_gather_dataset_context MCP tool as a
REST endpoint.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Query Parameters
Required range:
-2147483648 <= x <= 2147483647Response
Success response
Show child attributes
Show child attributes
ListCrossCustomerPriorsAPI mirrors erdo_list_cross_customer_priors.
ListDatasetsAPI mirrors the erdo_list_datasets MCP tool as a REST endpoint.
⌘I

